Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.utils
Class Filter<T>

    java.lang.Object
      org.owasp.dependencycheck.utils.Filter<T>

    public abstract class Filter<T>

extends Object

Constructor Summary
`Filter()`

Method Summary
`Iterable<T>` | `filter(Iterable<T> iterable)`
`Iterator<T>` | `filter(Iterator<T> iterator)`
`abstract boolean` | `passes(T object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filter

    public Filter()

Method Detail

### passes

    public abstract boolean passes(T object)

### filter

    public Iterator<T> filter(Iterator<T> iterator)

### filter

    public Iterable<T> filter(Iterable<T> iterable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.